@charset "utf-8";



:root {
  --main-color: #444444;
  --font-ja: "Klee One", system-ui;
  --font-en: "Lora", serif;
  --font-base-size: clamp(1.4rem, 2vw, 1.6rem);
}



/*====================================
リセット
===================================*/
*,
::before,
::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

img {
  max-width: 100%;
  display: block;
  height: auto;
}

a {
  color: inherit;
  text-decoration: none;
}

ul,
ol {
  list-style: none;
}


/*====================================
スクロールスムース
===================================*/
html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

html,
body {
  width: 100%;
  overflow-x: hidden;
}

body.allow-horizontal-scroll {
  overflow-x: visible;
}


/*====================================
全体統一
===================================*/
body {
  color: var(--main-color);
  font-size: var(--font-base-size);
  font-family: var(--font-ja);
  font-weight: 400;
  line-height: 2;
  letter-spacing: 2px;
  max-width: 100vw;
  position: relative;
  display: none;
  /* ※遷移時のフェードイン表示 */
}

/* レスポンシブ用の改行設定 */
.spOnly {
  display: none;
}

@media (max-width: 800px) {

  .spOnly {
    display: inline;
  }

  .noSp {
    display: none;
  }
}


/*====================================
ENGLISH　言語
===================================*/
#language {
  max-width: 1700px;
  margin: .8rem auto;
  text-align: right;
  font-size: clamp(1.2rem, 2vw, 1.4rem);
  font-family: "Lora", serif;
  font-weight: 500;
}


/*====================================
左端のロゴ
===================================*/
.headerlogo {
  width: 40px;
  height: 200px;
  writing-mode: vertical-rl;
  line-height: 1.5;
  position: fixed;
  left: 2.5%;
}

.headerlogo span {
  font-size: clamp(1.5rem, 2vw, 2.8rem);
}



/*====================================
右端のナビ
===================================*/
header {
  position: relative;
}

.header {
  position: fixed;
  width: 60px;
  height: 100vh;
  top: 0;
  right: 15px;
  z-index: 10;
}


/*====================================
ハンバーガーメニューボタン設定
===================================*/
#menu-btn,
.btn {
  display: none;
}

.btn {
  width: 50px;
  height: 50px;
  position: fixed;
  top: 4%;
  right: 1.5%;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  cursor: pointer;
}

.btn span,
.btn span::before,
.btn span::after {
  content: "";
  display: block;
  width: 1px;
  height: 30px;
  background-color: var(--main-color);
  position: absolute;
  transition: 0.5s;
}

.btn span::before {
  left: -10px;
}

.btn span::after {
  right: 10px;
}

#menu-btn:checked~.btn span {
  background-color: transparent;
}

#menu-btn:checked~.btn span::before {
  top: 0;
  transform: rotate(45deg);
  background-color: white;
}

#menu-btn:checked~.btn span::after {
  top: 0;
  transform: rotate(-45deg);
  background-color: white;
}


/*====================================
ナビゲーションの設定
===================================*/
.g-nav {
  flex-direction: column;
  justify-content: center;
  padding: 10%;
  color: #fff;
  position: fixed;
  top: 0;
  left: 100%;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.9);
  z-index: 999;
  transition: 1s;
}

.g-nav {
  display: flex;
  flex-direction: row-reverse;
  justify-content: center;
  align-items: flex-start;
  gap: 7rem;
}

.g-nav li {
  writing-mode: vertical-rl;
  font-size: clamp(1.5rem, 2vw, 2.5rem);
  transition: .3s;
}

.g-nav li:hover {
  color: #757575;
}

.g-nav li:last-of-type {
  width: 400px;
  height: 300px;
  object-fit: cover;
  position: absolute;
  bottom: 1%;
  left: 1%;
}

#menu-btn:checked~.g-nav {
  left: 0;
}


/*====================================
宿泊予約
===================================*/
.reservation {
  writing-mode: vertical-rl;
  background-color: #fff;
  border: 1px solid #2b2b2b;
  border-radius: 5px;
  padding: 20px 5px;
  position: fixed;
  bottom: 10px;
  right: 30px;
  z-index: 5;
  transition: .6s;
}

.reservation:hover {
  background-color: #2b2b2b;
  color: white;
}



/*====================================
index.php以外にトップ画面　設定
===================================*/
.title {
  width: 90%;
  height: calc(100vh - 70px);
  border: 1px solid #2b2b2b;
  position: relative;
  margin: 0 auto 10rem;

  background-image:
    linear-gradient(rgba(229, 229, 229, 0.6), rgba(229, 229, 229, 0.6)),
    url(../img/optional/02.png);
  background-size: cover;
  background-position: center;
}



/*====================================
フェードイン表示　設定
===================================*/
.js-fade {
  opacity: 0;
  visibility: hidden;
  transform: translateY(50px);
  transition: opacity 1s, visibility 1s, transform 1s;
  transition-delay: 0.1s;
  /*遅延をかける秒数 */
}

.inview {
  opacity: 1;
  visibility: visible;
  transform: translateY(0px);
}


/*====================================
フッター
===================================*/
footer {
  width: 100%;
  height: auto;
  margin: 0 auto;
  background-color: #2b2b2b;
  color: white;
  line-height: 1.5;
  padding: 7rem 10rem 3rem;
}

.footerMenu {
  width: 90%;
  margin: 0 auto;
  display: flex;
  justify-content: space-evenly;
}

footer h2 {
  writing-mode: vertical-rl;
}

.flex1:hover {
  color: #757575;
}

footer .email,
.tel,
.copyright {
  letter-spacing: 0;
}

.tel:hover,
.email:hover {
  color: #757575;
}

.flex1 span {
  font-size: clamp(1.5rem, 2vw, 1.8rem);
}

.flex1 {
  font-size: clamp(2rem, 2vw, 3rem);
}

.flex2,
.flex3 {
  line-height: 3;
}

.flex2 a:hover {
  color: #757575;
}

.contact-list {
  display: grid;
  grid-template-columns: 80px 1fr;
  row-gap: 1.5rem;
  column-gap: 2rem;
}

.contact-list dt {
  text-align: left;
}

.contact-list dd {
  margin: 0;
}

.footerMenu img {
  width: 30px;
  height: 30px;
  margin: 10px 8px;
}



/* ページトップへ戻る設定 */
.wrapper {
  position: relative;
  /*topBtnの親要素に指定*/
}

.topBtn {
  position: fixed;
  left: 10px;
  bottom: 40px;
  height: 40px;
  transform: rotate(90deg);
  color: #737373;
  padding: 0 0 0 20px;
  border-top: 1px solid;
}

.topBtn::before {
  content: "";
  display: block;
  position: absolute;
  top: -1px;
  left: 0px;
  width: 10px;
  border-top: 1px solid;
  transform: rotate(35deg);
  transform-origin: left top;
}



/* レスポンシブ設定 */
@media (max-width: 800px) {
  .noSp {
    display: none;
  }

  #language {
    display: none;
  }

  #topBtn {
    display: none !important;
  }

  .headerlogo {
    display: none;
  }

  .btn {
    top: 3%;
  }

  .g-nav {
    display: block;
    padding: 10rem;
  }

  .g-nav li {
    writing-mode: horizontal-tb;
    text-align: center;
    line-height: 4;
  }

  .g-nav li:last-of-type {
    width: 200px;
    height: 150px;
    left: 0;
  }

  .reservation {
    display: none;
  }

  footer {
    padding: 3rem;
  }

  .footerMenu {
    width: 80%;
    margin: 0 auto 2rem;
    flex-direction: column;
  }

  .flex1 {
    font-size: clamp(2rem, 2vw, 3rem);
    writing-mode: horizontal-tb;
    margin-bottom: 2rem;
  }

  .contact-list {
    gap: 0;
  }

  .copyright {
    width: 90%;
    margin: 0 auto;
    font-size: 1.3rem;
    text-align: center;
  }
}